      subroutine lir8(amat,long,ifil)
      real*8 amat(long)
c     write(6,*)'lir8 long,ifil',long,ifil
      read(ifil) amat
      do k=1,long
      amat(k)=-amat(k)
      enddo
      return
      end
